|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QSplitterHandle Class Reference
[QtGui module]

The QSplitterHandle class provides handle functionality of the splitter. More...

    #include <QSplitterHandle>

Inherits QWidget.

- List of all members, including inherited members

### Public Functions

- QSplitterHandle ( Qt::Orientation orientation, QSplitter * parent )
- bool opaqueResize () const
- Qt::Orientation orientation () const
- void setOrientation ( Qt::Orientation orientation )
- QSplitter * splitter () const

- 184 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Protected Functions

- int closestLegalPosition ( int pos )
- void moveSplitter ( int pos )

- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

## Detailed Description

The QSplitterHandle class provides handle functionality of the splitter.

QSplitterHandle is typically what people think about when they think about a splitter. It is the handle that is used to resize the widgets.

A typical developer using QSplitter will never have to worry about QSplitterHandle. It is provided for developers who want splitter handles that do more. The typical way one would create splitter handles is to subclass QSplitter and then reimplement QSplitter::createHandle() to instatiate the custom splitter handle.

Most of the functions inside QSplitterHandle are forwards to QSplitter or like orientation() and opaqueResize(), controlled by the QSplitter.

See also QSplitter.

## Member Function Documentation

### QSplitterHandle::QSplitterHandle ( Qt::Orientation orientation, QSplitter * parent )

Creates a QSplitter handle with the given orientation and QSplitter parent.

### int QSplitterHandle::closestLegalPosition ( int pos ) `[protected]`

Returns the closest legal position to pos of the splitter handle. The positions are measured from the left or top edge of the splitter, even for right-to-left languages.

See also QSplitter::closestLegalPosition() and moveSplitter().

### void QSplitterHandle::moveSplitter ( int pos ) `[protected]`

Tells the splitter to move this handle to position pos, which is the distance from the left or top edge of the widget.

Note that pos is also measured from the left (or top) for right-to-left languages. This function will map pos to the appropriate position before calling QSplitter::moveSplitter().

See also QSplitter::moveSplitter() and closestLegalPosition().

### bool QSplitterHandle::opaqueResize () const

Returns true if widgets are resized dynamically (opaquely), otherwise returns false. This value is controlled by the QSplitter.

See also QSplitter::opaqueResize().

### Qt::Orientation QSplitterHandle::orientation () const

Returns the handle's orientation. This is usually propagated from the QSplitter.

See also setOrientation() and QSplitter::orientation().

### void QSplitterHandle::setOrientation ( Qt::Orientation orientation )

Sets the orientation of the splitter handle to orientation. This is usually propogated from the QSplitter.

See also orientation() and QSplitter::setOrientation().

### QSplitter * QSplitterHandle::splitter () const

Returns the splitter associated with this splitter handle.

See also QSplitter::handle().